
<!DOCTYPE html>
<html lang="{{ site.lang | default: "en-US" }}">
  <head>
    <meta charset='utf-8'>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="{{ '/assets/css/style.css?v=' | append: site.github.build_revision | relative_url }}">
    {% include head-custom.html %}

{% seo %}
  </head>

  <body>
    <div class="container">
      <section id="main_content">
         {{ content }}
      </section>
    </div>
  </body>
</html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" 
              content="width=device-width, initial-scale=1.0" />
        <title>Image Classifier using ML5 js</title>
        <script src="https://unpkg.com/ml5@0.4.3/dist/ml5.min.js">
        </script>
     <script>
        var loadFile = function (event) {
        var image = document.getElementById("image");
        image.src = URL.createObjectURL(event.target.files[0]);
       };
       const classifier = ml5.imageClassifier
       ('MobileNet', modelLoaded);
  
       // When the model is loaded
       function modelLoaded() {
       console.log("Model Loaded!");
       }
              
       function predict() {
       classifier.predict(document.getElementById("image"), 
              function (err, results) {
                    alert(results[0].label);
                });
            }
  
        </script>
    </head>
    <body>
        <center>
            <h1 style="color: rgb(181,232,83);">Saket Image Classifier</h1>
            <b>
                Image Classification 
            </b>
            <p>Upload the Picture which you want to classify</p>
            </br>
            <img src="" alt="" id="image" 
                 width="315px" height="200px" />
            </br></br>
            <input type="file" accept="image/*" 
                   onchange="loadFile(event)" 
                   name="image" id="file" />
            <button onclick="predict()">Predict</button>
        </center>
    </body>
</html>
